Skip to main content
GET
/
dynamic_templates
/
{id}
Get a dynamic template
curl --request GET \
  --url https://api.paubox.net/v1/{api_username}/dynamic_templates/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "template_123",
  "name": "welcome_template",
  "body": "Hello {{name}}, welcome to our service!",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.paubox.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Paubox API uses a custom token format in the Authorization header.

IMPORTANT: You must prefix your API key with "Token token="

Format: Authorization: Token token=YOUR_API_KEY_HERE

Example: Authorization: Token token=9e5b092b632445b8f570c62ae54f30fda1044305

Do NOT use just the API key alone or Bearer token format.

Path Parameters

id
string
required

Template ID

Response

Template details

id
string

Template ID

Example:

"template_123"

name
string

Template name

Example:

"welcome_template"

body
string

Template content (Handlebars)

Example:

"Hello {{name}}, welcome to our service!"

created_at
string<date-time>

Template creation timestamp

updated_at
string<date-time>

Template last update timestamp